Loading...
Searching...
No Matches
encoding_type.h File Reference

Character encoding type definitions. More...

`#include "ada/common_defs.h"`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | ada

## Enumerations

enum class | ada::encoding_type { ada::UTF8 , ada::UTF_16LE , ada::UTF_16BE }
| Character encoding types for URL processing. More...

## Functions

ada_warn_unused std::string_view | ada::to_string (encoding_type type)

## Detailed Description

Character encoding type definitions.

Defines the encoding types supported for URL processing.

See also
  https://encoding.spec.whatwg.org/

Definition in file encoding_type.h.